function env = ad (len, attack);
# ad    Generate an Attack/Decay envelope.
#
#
#           env = adsr (samples, attack, decay, sustain, release);

#      Erik de Castro Lopo    9-1-2002

if nargin != 2,
    error ('Insufficient input arguments.') 
    endif
	
if (attack  >= len)
	error ('Error attack >= len.')
	endif

env = [linspace(0,1,attack) linspace(1,0,len-attack)] ;


endfunction
