function data = sndfile_load (filename)
#   sndfile_load (sample_rate, data) :
#		Load the data from the given filename.
#			data = sndfile_load (filename) ;

#   Erik de Castro Lopo  03-01-1999

if (nargin != 1)
		error('sndfile_load needs two arguments!');
endif

var_name = sprintf ('x_%d_%d', fix (30000 * rand (1,1)), fix (time)) ;

temp_file_name = sprintf ('/tmp/%s', var_name) ;

command = sprintf ("sndfile2oct %s %s", filename, temp_file_name) ;
retval = 0 ;
system (command,retval) ;

command = sprintf ("load -force %s", temp_file_name) ;
eval (command) ;

command = sprintf ("data = %s ;", var_name) ;
eval (command) ;

data = data / (max (abs (data))) ;

unlink (temp_file_name) ;

endfunction;
