#define	MAX_FLIPFLOP_NAMES	4

enum
{	HORIZ_SEPARATOR		= 200,
	LINEAR_ADJUSTMENT,
	LOG_ADJUSTMENT,
	FLIPFLOP_CHOICE,
} ELEMENT_TYPES ; 

typedef struct
{	float		lower, upper, step ;
	void	 	*label ;
	float		*mod_value ;
} ADJUST_PARAMS ;

typedef struct
{	const char	*names [MAX_FLIPFLOP_NAMES] ;
	void	 	*label ;
	int			*mod_value ;
} FLIPFLOP_PARAMS ;

typedef struct
{	int				type ;
	const char		*name ;
	ADJUST_PARAMS	adj ;
	FLIPFLOP_PARAMS	ff ;
} GUI_ELEMENT ;	

int create_gui (char *title, GUI_ELEMENT *elements, int count) ;
