function signal = wave_cat (wave, count);
# wave_cat  Concatenate count versions of wave to form one signal 
#            specified frequencies and magnitudes.
#
#              	signal = wave_cat (wave, count);

#      Erik de Castro Lopo    9-1-1994

if nargin != 2,
    error ('Need two input arguments.') 
    endif
	
[rows, cols] = size (wave) ;
if (min ([rows cols]) != 1),
	error ('Need a vector.') ;
	endif
	
if cols == 1,
	wave= wave' ;
	endif

signal = [] ;
for k = 1:count,
    signal = [signal wave] ;
    endfor

endfunction
